org.eclipse.rdf4j.util.iterators

## Class Iterators

- java.lang.Object
- - org.eclipse.rdf4j.util.iterators.Iterators

-     public class Iterators
      extends Object

  This class consists exclusively of static methods that operate on or return iterators. It is the Iterator-equivalent of `Collections`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Iterators()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <E,C extends Collection<E>> C` | `addAll(Iterator<? extends E> iter, C collection)` Adds all elements from the supplied iterator to the specified collection.
    `static <E> List<E>` | `asList(Iterator<? extends E> iter)` Get a List containing all elements obtained from the specified iterator.
    `static void` | `close(Iterator<?> iter)` Closes the given iterator if it implements `Closeable` else do nothing.
    `static void` | `closeSilently(Iterator<?> iter)` Closes the given iterator, swallowing any IOExceptions, if it implements `Closeable` else do nothing.
    `static String` | `toString(Iterator<?> iter, String separator)` Converts an iterator to a string by concatenating all of the string representations of objects in the iterator, divided by a separator.
    `static void` | `toString(Iterator<?> iter, String separator, StringBuilder sb)` Converts an iterator to a string by concatenating all of the string representations of objects in the iterator, divided by a separator.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Iterators

          public Iterators()

  - ### Method Detail

    - #### asList

          public static <E> List<E> asList(Iterator<? extends E> iter)

      Get a List containing all elements obtained from the specified iterator.
      Parameters:
        `iter` - the iterator to get the elements from
      Returns:
        a List containing all elements obtained from the specified iterator.

    - #### addAll

          public static <E,C extends Collection<E>> C addAll(Iterator<? extends E> iter,
                                                             C collection)

      Adds all elements from the supplied iterator to the specified collection.
      Parameters:
        `iter` - An iterator containing elements to add to the container.
        `collection` - The collection to add the elements to.
      Returns:
        The `collection` object that was supplied to this method.

    - #### toString

          public static String toString(Iterator<?> iter,
                                        String separator)

      Converts an iterator to a string by concatenating all of the string representations of objects in the iterator, divided by a separator.
      Parameters:
        `iter` - An iterator over arbitrary objects that are expected to implement `Object.toString()`.
        `separator` - The separator to insert between the object strings.
      Returns:
        A String representation of the objects provided by the supplied iterator.

    - #### toString

          public static void toString(Iterator<?> iter,
                                      String separator,
                                      StringBuilder sb)

      Converts an iterator to a string by concatenating all of the string representations of objects in the iterator, divided by a separator.
      Parameters:
        `iter` - An iterator over arbitrary objects that are expected to implement `Object.toString()`.
        `separator` - The separator to insert between the object strings.
        `sb` - A StringBuilder to append the iterator string to.

    - #### close

          public static void close(Iterator<?> iter)
                            throws IOException

      Closes the given iterator if it implements `Closeable` else do nothing.
      Parameters:
        `iter` - The iterator to close.
      Throws:
        `IOException` - If an underlying I/O error occurs.

    - #### closeSilently

          public static void closeSilently(Iterator<?> iter)

      Closes the given iterator, swallowing any IOExceptions, if it implements `Closeable` else do nothing.
      Parameters:
        `iter` - The iterator to close.

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.